<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__qspi__command__t_8instruction" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_qspi_command_t.instruction</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__qspi__command__t_8instruction_1aaea78d2eed5d55bf6a19b3a4933520d2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__qspi_1gaddc93a79f0708fd53897d0c37bc7544b">cyhal_qspi_bus_width_t</ref></type>
        <definition />
        <argsstring />
        <name>bus_width</name>
        <briefdescription>
<para>Bus width for the instruction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="143" />
      </memberdef>
      <memberdef id="structcyhal__qspi__command__t_8instruction_1a2063c1608d6e0baf80249c42e2be5804" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition />
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Instruction value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="144" />
      </memberdef>
      <memberdef id="structcyhal__qspi__command__t_8instruction_1a075ae3d2fc31640504f814f60e5ef713" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition />
        <argsstring />
        <name>disabled</name>
        <briefdescription>
<para>Instruction phase skipped if disabled is set to true. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="145" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="146" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="142" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="142" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__qspi__command__t_8instruction_1aaea78d2eed5d55bf6a19b3a4933520d2" virt="non-virtual"><scope>cyhal_qspi_command_t.instruction</scope><name>bus_width</name></member>
      <member prot="public" refid="structcyhal__qspi__command__t_8instruction_1a075ae3d2fc31640504f814f60e5ef713" virt="non-virtual"><scope>cyhal_qspi_command_t.instruction</scope><name>disabled</name></member>
      <member prot="public" refid="structcyhal__qspi__command__t_8instruction_1a2063c1608d6e0baf80249c42e2be5804" virt="non-virtual"><scope>cyhal_qspi_command_t.instruction</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>